import { EditorPlugin } from '@draft-js-plugins/editor';
import { ComponentType } from 'react';
import { AlignmentPluginsPubParams } from './TextAlignmentComponent';
import type { TextAlignmentPluginTheme } from './theme';
export interface AlignmentPluginConfig {
    theme?: TextAlignmentPluginTheme;
}
export type TextAlignmentPlugin = EditorPlugin & {
    TextAlignment: ComponentType<AlignmentPluginsPubParams>;
};
declare const _default: (config?: AlignmentPluginConfig) => TextAlignmentPlugin;
export default _default;
